/*
 * WirelessDecodeSlave.h
 *
 *  Created on: 2023年1月6日
 *      Author: king
 */

#ifndef WIRELESSDECODESLAVE_H_
#define WIRELESSDECODESLAVE_H_

uint16 DecodeSlaveBuffer(uint8* dataOutBuffer, uint8 buffSize, uint8 cmd);

typedef enum
{
	HEARTBEAT_S 	= 0X03,
	HEARTBEAT_M,
	LOCK_M,
	LOCK_S,
	UNLOCK_M,
	UNLOCK_S,
	GETINFO_M,
	GETINFO_S,
	MAX,
}PROTPCPL_EXC;

#pragma pack(1)
typedef struct
{
	uint8 sn[26];
	uint8 com_sta;
	uint8 BMS_sta;
	uint8 touch_sta;
	uint16 bms_v;
	uint16 bms_a;
	uint8 soc;
	uint8 soh;
	uint8 str_sta;
	uint8 stop_sta;
	uint32 odo;
	uint32 inputA;
	uint32 outputA;
	uint32 inputKwh;
	uint32 outputKwh;
	uint16 enger;
}SLAVE_INFO;
#pragma pack(0)

#endif /* WIRELESSDECODESLAVE_H_ */
